> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mezmo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server.

# Post client config

POST https://api.mezmo.com/v3/pipeline/account/local-deploy/config
Content-Type: application/json

Posts deployment configuration+liveness for Edge pipelines, returning pipeline config

Reference: https://mezmo.ferndocs.com/api-reference/pipeline/edge/post-client-config

## Authentication

- `Authorization` header (required) (prefixed with ` Token  `) — Header authentication of the form `Token <token>`

## Request

### Body (application/json)

This endpoint expects an object.

- `edge_id` (string, optional)
- `replica` (string, optional)
- `namespace` (string, optional)
- `name` (string, optional)
- `deployment_group` (string, optional)
- `ports` (list of integer, optional)
- `version` (string, optional)
- `chart_version` (string, optional)
- `vector_version` (string, optional)
- `uptime_sec` (integer, optional)

## Response

### 200

Default Response

## Examples

**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.mezmo.com/v3/pipeline/account/local-deploy/config"

payload = {}
headers = {
    "Authorization": "Token <pipeline-service-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mezmo.com/v3/pipeline/account/local-deploy/config';
const options = {
  method: 'POST',
  headers: {
    Authorization: 'Token <pipeline-service-key>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mezmo.com/v3/pipeline/account/local-deploy/config"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Token <pipeline-service-key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mezmo.com/v3/pipeline/account/local-deploy/config")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Token <pipeline-service-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.mezmo.com/v3/pipeline/account/local-deploy/config")
  .header("Authorization", "Token <pipeline-service-key>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.mezmo.com/v3/pipeline/account/local-deploy/config', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Token <pipeline-service-key>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mezmo.com/v3/pipeline/account/local-deploy/config");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Token <pipeline-service-key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Token <pipeline-service-key>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v3/pipeline/account/local-deploy/config")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```